# eric4.E4XML.XMLEntityResolver

Module implementing a specialized entity resolver to find our DTDs.

### Global Attributes

None

### Classes

XMLEntityResolver | Class implementing a specialized entity resolver to find our DTDs.

### Functions

None

## XMLEntityResolver

Class implementing a specialized entity resolver to find our DTDs.

### Derived from

EntityResolver

### Class Attributes

None

### Class Methods

None

### Methods

resolveEntity | Public method to resolve the system identifier of an entity and return either the system identifier to read from as a string.

### Static Methods

None

#### XMLEntityResolver.resolveEntity

resolveEntity(publicId, systemId)

Public method to resolve the system identifier of an entity and return either the system identifier to read from as a string.

publicId
  publicId of an entity (string)
systemId
  systemId of an entity to reslove (string)

Returns:
  resolved systemId (string)

Up